Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ProviderClassNames

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

public interface ProviderClassNames
extends EObject

A representation of the model object 'Provider Class Names'.

The following features are supported:

- `Element Types Class Name`
- `Notation View Provider Class Name`
- `Notation View Provider Priority`
- `Edit Part Provider Class Name`
- `Edit Part Provider Priority`
- `Palette Provider Class Name`
- `Palette Provider Priority`
- `Modeling Assistant Provider Class Name`
- `Modeling Assistant Provider Priority`
- `Property Provider Class Name`
- `Property Provider Priority`
- `Icon Provider Class Name`
- `Icon Provider Priority`
- `Parser Provider Class Name`
- `Parser Provider Priority`
- `Abstract Parser Class Name`
- `Structural Feature Parser Class Name`
- `Structural Features Parser Class Name`
- `Contribution Item Provider Class Name`

See Also:
  `GMFGenPackage.getProviderClassNames()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getAbstractParserClassName()` Returns the value of the 'Abstract Parser Class Name' attribute
`java.lang.String` `getAbstractParserQualifiedClassName()`
`java.lang.String` `getContributionItemProviderClassName()` Returns the value of the 'Contribution Item Provider Class Name' attribute
`java.lang.String` `getContributionItemProviderQualifiedClassName()`
`java.lang.String` `getEditPartProviderClassName()` Returns the value of the 'Edit Part Provider Class Name' attribute
`ProviderPriority` `getEditPartProviderPriority()` Returns the value of the 'Edit Part Provider Priority' attribute.
`java.lang.String` `getEditPartProviderQualifiedClassName()`
`java.lang.String` `getElementTypesClassName()` Returns the value of the 'Element Types Class Name' attribute
`java.lang.String` `getElementTypesQualifiedClassName()`
`java.lang.String` `getIconProviderClassName()` Returns the value of the 'Icon Provider Class Name' attribute
`ProviderPriority` `getIconProviderPriority()` Returns the value of the 'Icon Provider Priority' attribute.
`java.lang.String` `getIconProviderQualifiedClassName()`
`java.lang.String` `getModelingAssistantProviderClassName()` Returns the value of the 'Modeling Assistant Provider Class Name' attribute
`ProviderPriority` `getModelingAssistantProviderPriority()` Returns the value of the 'Modeling Assistant Provider Priority' attribute.
`java.lang.String` `getModelingAssistantProviderQualifiedClassName()`
`java.lang.String` `getNotationViewProviderClassName()` Returns the value of the 'Notation View Provider Class Name' attribute
`ProviderPriority` `getNotationViewProviderPriority()` Returns the value of the 'Notation View Provider Priority' attribute.
`java.lang.String` `getNotationViewProviderQualifiedClassName()`
`java.lang.String` `getPaletteProviderClassName()` Returns the value of the 'Palette Provider Class Name' attribute
`ProviderPriority` `getPaletteProviderPriority()` Returns the value of the 'Palette Provider Priority' attribute.
`java.lang.String` `getPaletteProviderQualifiedClassName()`
`java.lang.String` `getParserProviderClassName()` Returns the value of the 'Parser Provider Class Name' attribute
`ProviderPriority` `getParserProviderPriority()` Returns the value of the 'Parser Provider Priority' attribute.
`java.lang.String` `getParserProviderQualifiedClassName()`
`java.lang.String` `getPropertyProviderClassName()` Returns the value of the 'Property Provider Class Name' attribute
`ProviderPriority` `getPropertyProviderPriority()` Returns the value of the 'Property Provider Priority' attribute.
`java.lang.String` `getPropertyProviderQualifiedClassName()`
`java.lang.String` `getStructuralFeatureParserClassName()` Returns the value of the 'Structural Feature Parser Class Name' attribute
`java.lang.String` `getStructuralFeatureParserQualifiedClassName()`
`java.lang.String` `getStructuralFeaturesParserClassName()` Returns the value of the 'Structural Features Parser Class Name' attribute
`java.lang.String` `getStructuralFeaturesParserQualifiedClassName()`
`void` `setAbstractParserClassName(java.lang.String value)` Sets the value of the '`Abstract Parser Class Name`' attribute
`void` `setContributionItemProviderClassName(java.lang.String value)` Sets the value of the '`Contribution Item Provider Class Name`' attribute
`void` `setEditPartProviderClassName(java.lang.String value)` Sets the value of the '`Edit Part Provider Class Name`' attribute
`void` `setEditPartProviderPriority(ProviderPriority value)` Sets the value of the '`Edit Part Provider Priority`' attribute
`void` `setElementTypesClassName(java.lang.String value)` Sets the value of the '`Element Types Class Name`' attribute
`void` `setIconProviderClassName(java.lang.String value)` Sets the value of the '`Icon Provider Class Name`' attribute
`void` `setIconProviderPriority(ProviderPriority value)` Sets the value of the '`Icon Provider Priority`' attribute
`void` `setModelingAssistantProviderClassName(java.lang.String value)` Sets the value of the '`Modeling Assistant Provider Class Name`' attribute
`void` `setModelingAssistantProviderPriority(ProviderPriority value)` Sets the value of the '`Modeling Assistant Provider Priority`' attribute
`void` `setNotationViewProviderClassName(java.lang.String value)` Sets the value of the '`Notation View Provider Class Name`' attribute
`void` `setNotationViewProviderPriority(ProviderPriority value)` Sets the value of the '`Notation View Provider Priority`' attribute
`void` `setPaletteProviderClassName(java.lang.String value)` Sets the value of the '`Palette Provider Class Name`' attribute
`void` `setPaletteProviderPriority(ProviderPriority value)` Sets the value of the '`Palette Provider Priority`' attribute
`void` `setParserProviderClassName(java.lang.String value)` Sets the value of the '`Parser Provider Class Name`' attribute
`void` `setParserProviderPriority(ProviderPriority value)` Sets the value of the '`Parser Provider Priority`' attribute
`void` `setPropertyProviderClassName(java.lang.String value)` Sets the value of the '`Property Provider Class Name`' attribute
`void` `setPropertyProviderPriority(ProviderPriority value)` Sets the value of the '`Property Provider Priority`' attribute
`void` `setStructuralFeatureParserClassName(java.lang.String value)` Sets the value of the '`Structural Feature Parser Class Name`' attribute
`void` `setStructuralFeaturesParserClassName(java.lang.String value)` Sets the value of the '`Structural Features Parser Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElementTypesClassName

    public java.lang.String getElementTypesClassName()

  Returns the value of the 'Element Types Class Name' attribute.

  If the meaning of the 'Element Types Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Types Class Name' attribute.
  See Also:
    `ProviderClassNames.setElementTypesClassName(String)`, `GMFGenPackage.getProviderClassNames_ElementTypesClassName()`
  ** Generated **
  Model:

### setElementTypesClassName

    public void setElementTypesClassName(java.lang.String value)

  Sets the value of the '`Element Types Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Element Types Class Name' attribute.
  See Also:
    `ProviderClassNames.getElementTypesClassName()`
  ** Generated **

### getNotationViewProviderClassName

    public java.lang.String getNotationViewProviderClassName()

  Returns the value of the 'Notation View Provider Class Name' attribute.

  If the meaning of the 'Notation View Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setNotationViewProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderClassName()`
  ** Generated **
  Model:

### setNotationViewProviderClassName

    public void setNotationViewProviderClassName(java.lang.String value)

  Sets the value of the '`Notation View Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getNotationViewProviderClassName()`
  ** Generated **

### getNotationViewProviderPriority

    public ProviderPriority getNotationViewProviderPriority()

  Returns the value of the 'Notation View Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Notation View Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setNotationViewProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderPriority()`
  ** Generated **
  Model:

### setNotationViewProviderPriority

    public void setNotationViewProviderPriority(ProviderPriority value)

  Sets the value of the '`Notation View Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getNotationViewProviderPriority()`
  ** Generated **

### getEditPartProviderClassName

    public java.lang.String getEditPartProviderClassName()

  Returns the value of the 'Edit Part Provider Class Name' attribute.

  If the meaning of the 'Edit Part Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setEditPartProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_EditPartProviderClassName()`
  ** Generated **
  Model:

### setEditPartProviderClassName

    public void setEditPartProviderClassName(java.lang.String value)

  Sets the value of the '`Edit Part Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getEditPartProviderClassName()`
  ** Generated **

### getEditPartProviderPriority

    public ProviderPriority getEditPartProviderPriority()

  Returns the value of the 'Edit Part Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Edit Part Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setEditPartProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_EditPartProviderPriority()`
  ** Generated **
  Model:

### setEditPartProviderPriority

    public void setEditPartProviderPriority(ProviderPriority value)

  Sets the value of the '`Edit Part Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getEditPartProviderPriority()`
  ** Generated **

### getPaletteProviderClassName

    public java.lang.String getPaletteProviderClassName()

  Returns the value of the 'Palette Provider Class Name' attribute.

  If the meaning of the 'Palette Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setPaletteProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_PaletteProviderClassName()`
  ** Generated **
  Model:

### setPaletteProviderClassName

    public void setPaletteProviderClassName(java.lang.String value)

  Sets the value of the '`Palette Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Palette Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getPaletteProviderClassName()`
  ** Generated **

### getPaletteProviderPriority

    public ProviderPriority getPaletteProviderPriority()

  Returns the value of the 'Palette Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Palette Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setPaletteProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_PaletteProviderPriority()`
  ** Generated **
  Model:

### setPaletteProviderPriority

    public void setPaletteProviderPriority(ProviderPriority value)

  Sets the value of the '`Palette Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Palette Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getPaletteProviderPriority()`
  ** Generated **

### getModelingAssistantProviderClassName

    public java.lang.String getModelingAssistantProviderClassName()

  Returns the value of the 'Modeling Assistant Provider Class Name' attribute.

  If the meaning of the 'Modeling Assistant Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setModelingAssistantProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderClassName()`
  ** Generated **
  Model:

### setModelingAssistantProviderClassName

    public void setModelingAssistantProviderClassName(java.lang.String value)

  Sets the value of the '`Modeling Assistant Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderClassName()`
  ** Generated **

### getModelingAssistantProviderPriority

    public ProviderPriority getModelingAssistantProviderPriority()

  Returns the value of the 'Modeling Assistant Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Modeling Assistant Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setModelingAssistantProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderPriority()`
  ** Generated **
  Model:

### setModelingAssistantProviderPriority

    public void setModelingAssistantProviderPriority(ProviderPriority value)

  Sets the value of the '`Modeling Assistant Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getModelingAssistantProviderPriority()`
  ** Generated **

### getPropertyProviderClassName

    public java.lang.String getPropertyProviderClassName()

  Returns the value of the 'Property Provider Class Name' attribute.

  If the meaning of the 'Property Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setPropertyProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_PropertyProviderClassName()`
  ** Generated **
  Model:

### setPropertyProviderClassName

    public void setPropertyProviderClassName(java.lang.String value)

  Sets the value of the '`Property Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Property Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getPropertyProviderClassName()`
  ** Generated **

### getPropertyProviderPriority

    public ProviderPriority getPropertyProviderPriority()

  Returns the value of the 'Property Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Property Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setPropertyProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_PropertyProviderPriority()`
  ** Generated **
  Model:

### setPropertyProviderPriority

    public void setPropertyProviderPriority(ProviderPriority value)

  Sets the value of the '`Property Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Property Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getPropertyProviderPriority()`
  ** Generated **

### getIconProviderClassName

    public java.lang.String getIconProviderClassName()

  Returns the value of the 'Icon Provider Class Name' attribute.

  If the meaning of the 'Icon Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setIconProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_IconProviderClassName()`
  ** Generated **
  Model:

### setIconProviderClassName

    public void setIconProviderClassName(java.lang.String value)

  Sets the value of the '`Icon Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getIconProviderClassName()`
  ** Generated **

### getIconProviderPriority

    public ProviderPriority getIconProviderPriority()

  Returns the value of the 'Icon Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Icon Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setIconProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_IconProviderPriority()`
  ** Generated **
  Model:

### setIconProviderPriority

    public void setIconProviderPriority(ProviderPriority value)

  Sets the value of the '`Icon Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getIconProviderPriority()`
  ** Generated **

### getParserProviderClassName

    public java.lang.String getParserProviderClassName()

  Returns the value of the 'Parser Provider Class Name' attribute.

  If the meaning of the 'Parser Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parser Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setParserProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ParserProviderClassName()`
  ** Generated **
  Model:

### setParserProviderClassName

    public void setParserProviderClassName(java.lang.String value)

  Sets the value of the '`Parser Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Parser Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getParserProviderClassName()`
  ** Generated **

### getParserProviderPriority

    public ProviderPriority getParserProviderPriority()

  Returns the value of the 'Parser Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Parser Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.setParserProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ParserProviderPriority()`
  ** Generated **
  Model:

### setParserProviderPriority

    public void setParserProviderPriority(ProviderPriority value)

  Sets the value of the '`Parser Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `ProviderClassNames.getParserProviderPriority()`
  ** Generated **

### getAbstractParserClassName

    public java.lang.String getAbstractParserClassName()

  Returns the value of the 'Abstract Parser Class Name' attribute.

  If the meaning of the 'Abstract Parser Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Abstract Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.setAbstractParserClassName(String)`, `GMFGenPackage.getProviderClassNames_AbstractParserClassName()`
  ** Generated **
  Model:

### setAbstractParserClassName

    public void setAbstractParserClassName(java.lang.String value)

  Sets the value of the '`Abstract Parser Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.getAbstractParserClassName()`
  ** Generated **

### getStructuralFeatureParserClassName

    public java.lang.String getStructuralFeatureParserClassName()

  Returns the value of the 'Structural Feature Parser Class Name' attribute.

  If the meaning of the 'Structural Feature Parser Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Structural Feature Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.setStructuralFeatureParserClassName(String)`, `GMFGenPackage.getProviderClassNames_StructuralFeatureParserClassName()`
  ** Generated **
  Model:

### setStructuralFeatureParserClassName

    public void setStructuralFeatureParserClassName(java.lang.String value)

  Sets the value of the '`Structural Feature Parser Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Structural Feature Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.getStructuralFeatureParserClassName()`
  ** Generated **

### getStructuralFeaturesParserClassName

    public java.lang.String getStructuralFeaturesParserClassName()

  Returns the value of the 'Structural Features Parser Class Name' attribute.

  If the meaning of the 'Structural Features Parser Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Structural Features Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.setStructuralFeaturesParserClassName(String)`, `GMFGenPackage.getProviderClassNames_StructuralFeaturesParserClassName()`
  ** Generated **
  Model:

### setStructuralFeaturesParserClassName

    public void setStructuralFeaturesParserClassName(java.lang.String value)

  Sets the value of the '`Structural Features Parser Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Structural Features Parser Class Name' attribute.
  See Also:
    `ProviderClassNames.getStructuralFeaturesParserClassName()`
  ** Generated **

### getContributionItemProviderClassName

    public java.lang.String getContributionItemProviderClassName()

  Returns the value of the 'Contribution Item Provider Class Name' attribute.

  If the meaning of the 'Contribution Item Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.setContributionItemProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ContributionItemProviderClassName()`
  ** Generated **
  Model:

### setContributionItemProviderClassName

    public void setContributionItemProviderClassName(java.lang.String value)

  Sets the value of the '`Contribution Item Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `ProviderClassNames.getContributionItemProviderClassName()`
  ** Generated **

### getElementTypesQualifiedClassName

    public java.lang.String getElementTypesQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNotationViewProviderQualifiedClassName

    public java.lang.String getNotationViewProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getEditPartProviderQualifiedClassName

    public java.lang.String getEditPartProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getPaletteProviderQualifiedClassName

    public java.lang.String getPaletteProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getModelingAssistantProviderQualifiedClassName

    public java.lang.String getModelingAssistantProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getPropertyProviderQualifiedClassName

    public java.lang.String getPropertyProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getIconProviderQualifiedClassName

    public java.lang.String getIconProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getParserProviderQualifiedClassName

    public java.lang.String getParserProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getAbstractParserQualifiedClassName

    public java.lang.String getAbstractParserQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getStructuralFeatureParserQualifiedClassName

    public java.lang.String getStructuralFeatureParserQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getStructuralFeaturesParserQualifiedClassName

    public java.lang.String getStructuralFeaturesParserQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getContributionItemProviderQualifiedClassName

    public java.lang.String getContributionItemProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.